メインコンテンツへスキップ
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
bill-emails
Get all bill emails
curl --request GET \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/bill-emails \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/bill-emails"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/bill-emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "emailId": "xxxxx",
      "receivedAt": "2022-08-31T07:11:20.000Z",
      "toAddress": "customer-email@gmail.com",
      "senderAddress": "noreply@github.com",
      "fromAddress": "noreply@github.com",
      "fromName": "GitHub",
      "forwardedToAddress": "mfi-123@forward.i.moneyforward.com",
      "subject": "Your payment from GitHub",
      "serviceName": "GitHub",
      "serviceUniqueName": "github",
      "attachments": [
        {
          "fileName": "receipt.pdf",
          "fileType": "application/pdf",
          "s3Path": "69576014/2024-04-19/d9j1sifi5ggghc2rkjruqpnoqorobvfr2hqedm01/receipt.pdf"
        }
      ]
    }
  ],
  "meta": {
    "nextCursor": "F3UdkoSbpBNrjwP93AX2HQ",
    "totalItems": 1
  }
}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須

クエリパラメータ

showUnmatchedEmail
boolean

Whether to include emails that are not matched to any service

:

true

saasUniqueName
string

Filter by service unique name

:

"github"

startDate
string

Filter by start date (YYYY-MM-DD format)

:

"2022-10-01"

endDate
string

Filter by end date (YYYY-MM-DD format)

:

"2022-10-10"

limit
number

Maximum number of items to return

:

50

cursor
string

Cursor for pagination

:

"xxxxxx"

レスポンス

200 - application/json
items
object[]
必須
meta
object
必須
最終更新日 2026年7月10日